org.eclipse.jgit.transport

## Class CredentialItem.InformationalMessage

- java.lang.Object
- - org.eclipse.jgit.transport.CredentialItem
  - - org.eclipse.jgit.transport.CredentialItem.InformationalMessage

Enclosing class:
  CredentialItem

    public static class CredentialItem.InformationalMessage
    extends CredentialItem

An advice message presented to the user, with no response required.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.jgit.transport.CredentialItem

`CredentialItem.CharArrayType, CredentialItem.InformationalMessage, CredentialItem.Password, CredentialItem.StringType, CredentialItem.Username, CredentialItem.YesNoType`

### Constructor Summary

Constructors
Constructor and Description
`CredentialItem.InformationalMessage(String messageText)` Initialize an informational message.

### Method Summary

Methods
`void` `clear()` Clear the stored value, destroying it as much as possible.

### Methods inherited from class org.eclipse.jgit.transport.CredentialItem

`getPromptText, isValueSecure`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CredentialItem.InformationalMessage

    public CredentialItem.InformationalMessage(String messageText)

Initialize an informational message.

Parameters:
  `messageText` - message to display to the user.

### Method Detail

#### clear

    public void clear()

Description copied from class: `CredentialItem`
Clear the stored value, destroying it as much as possible.

Specified by:
  `clear` in class `CredentialItem`